﻿@import 'https://fonts.googleapis.com/css?family=Rubik:300,400,500,700,900';

@media (max-width: 768px) {
  .popup-body {
    display: block !important;
  }

  .popup-buttons {
    margin-left: 0px !important;
    padding-top: 10px;
  }

    .popup-buttons .popup-button {
      width: 100%;
    }
}

.popup {
  position: fixed;
  bottom: 24px;
  left: 50%;
  transform: translate(-50%);
  width: max-content;
  z-index: 999;
}

  .popup.hidden {
    display: none;
  }

.popup-body {
  display: flex;
  flex-flow: row;
  max-width: 100%;
  -webkit-box-align: center;
  align-items: center;
  border-radius: 10px;
  padding: 16px;
  color: rgb(24, 27, 33);
  background-color: rgb(255, 255, 255);
  box-shadow: rgba(0, 0, 0, 0.1) 2px 2px 10px;
}

.popup-content {
  display: flex;
  margin: 0px;
  padding: 0px;
  flex-flow: wrap;
  justify-content: normal;
  align-items: normal;
  font-family: "Rubik", sans-serif;
  font-weight: 300;
  font-size: 14px;
}

.popup-buttons {
  margin-left: 24px;
  display: flex;
  flex-flow: row;
  justify-content: normal;
  align-items: normal;
  gap: 8px;
}

.popup-button {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  vertical-align: middle;
  user-select: none;
  line-height: 1.5;
  border-radius: .25rem;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  padding: 8px 12px;
  font-size: 14px;
  cursor: pointer;
  color: #fff;
  text-decoration: none;
  font-family: "Rubik", sans-serif;
  font-weight: 300;
  font-size: 14px;
}

  .popup-button:focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
  }

.popup-button-primary {
  border: 1px solid #0d6efd;
  background: #0d6efd;
}

  .popup-button-primary:hover {
    background-color: #0069d9;
    border-color: #0062cc;
  }

  .popup-button-primary:focus {
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
  }

.popup-button-secondary {
  background-color: #6c757d;
  border-color: #6c757d;
}

  .popup-button-secondary:hover {
    color: #fff;
    background-color: #5a6268;
    border-color: #545b62;
  }

  .popup-button-secondary:focus {
    box-shadow: 0 0 0 0.2rem rgba(130, 138, 145, 0.5);
  }